com.tibco.tibjms.admin

## Class StateInfo

- java.lang.Object
- - com.tibco.tibjms.admin.StateInfo

-     public class StateInfo
      extends java.lang.Object

  This class represents the FT state for a TIBCO Enterprise Message Service server, along with other information.
  Since:
    EMS 8.1.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOverallSyncProgress()` Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance.
    `int` | `getProcessId()` Get the current process id of the server.
    `java.lang.String` | `getServerName()` Get the name of the server.
    `State` | `getState()` Get the current state of the server.
    `VersionInfo` | `getVersionInfo()` Get the version of TIBCO Enterprise Message Service that the server binary is from.
    `boolean` | `isAppliance()` Indicates whether or not this server instance is running in an appliance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getServerName

          public java.lang.String getServerName()

      Get the name of the server.
      Returns:
        the name of the server.
      Since:
        EMS 8.1.0

    - #### isAppliance

          public boolean isAppliance()

      Indicates whether or not this server instance is running in an appliance
      Returns:
        true if this server instance is running in an appliance, false otherwise.
      Since:
        EMS 8.1.0

    - #### getProcessId

          public int getProcessId()

      Get the current process id of the server.
      Returns:
        the server process id.
      Since:
        EMS 8.1.0

    - #### getState

          public State getState()

      Get the current state of the server.
      Returns:
        the State object representing the server's state.
      Since:
        EMS 8.1.0

    - #### getVersionInfo

          public VersionInfo getVersionInfo()

      Get the version of TIBCO Enterprise Message Service that the server binary is from.
      Returns:
        the VersionInfo object representing the server's version.
      Since:
        EMS 8.1.0

    - #### getOverallSyncProgress

          public int getOverallSyncProgress()

      Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance.
      Returns:
        the synchronization progress percentage as an integer between 0 and 100 or -1 either if no synchronization is ongoing or if requested from a server that is running outside the EMS Appliance
      Since:
        EMS 8.1.0
      See Also:
        `State.SERVER_COMPSTATE_SYNCHRONIZING`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Since:
        EMS 8.1.0

Copyright © Cloud Software Group, Inc. All rights reserved